Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.simevents
Class ListWithStat.Node<E>

    java.lang.Object
      umontreal.iro.lecuyer.simevents.ListWithStat.Node<E>

Enclosing class:
  ListWithStat<E>

    public static class ListWithStat.Node<E>

extends Object

Represents a node that can be part of a list with statistical collecting.

Constructor Summary
`ListWithStat.Node(E element, double insertionTime)` Constructs a new node containing element `element` inserted into the list at time `insertionTime`.

Method Summary
`E` | `getElement()` Returns the element stored into this node.
`double` | `getInsertionTime()` Returns the insertion time of the element in this node.
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListWithStat.Node

    public ListWithStat.Node(E element,
                             double insertionTime)

  Constructs a new node containing element `element` inserted into the list at time `insertionTime`.

  Parameters:
    `element` - the element to add into this new node
    `insertionTime` - the insertion time of the element

Method Detail

### getElement

    public E getElement()

  Returns the element stored into this node.

  Returns:
    the element into this node

### getInsertionTime

    public double getInsertionTime()

  Returns the insertion time of the element in this node.

  Returns:
    the insertion time of the element

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.